<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--
-->

<plugin>

   <extension point="org.eclipse.ui.newWizards">
      <!-- @generated seim -->
      <category
            id="org.eclipse.emf.ecore.Wizard.category.ID"
            name="%_UI_Wizard_category"/>
      <wizard
            id="com.irtsaintexupery.pseim.seim.presentation.SeimModelWizardID"
            name="%_UI_SeimModelWizard_label"
            class="com.irtsaintexupery.pseim.seim.presentation.SeimModelWizard"
            category="org.eclipse.emf.ecore.Wizard.category.ID"
            icon="icons/full/obj16/SeimModelFile.gif">
         <description>%_UI_SeimModelWizard_description</description>
         <selection class="org.eclipse.core.resources.IResource"/>
      </wizard>
   </extension>

   <extension point="org.eclipse.ui.editors">
      <!-- @generated seim -->
      <editor
            id="com.irtsaintexupery.pseim.seim.presentation.SeimEditorID"
            name="%_UI_SeimEditor_label"
            icon="icons/full/obj16/SeimModelFile.gif"
            extensions="seim"
            class="com.irtsaintexupery.pseim.seim.presentation.SeimEditor"
            contributorClass="com.irtsaintexupery.pseim.seim.presentation.SeimActionBarContributor">
      </editor>
   </extension>

   <extension point="org.eclipse.ui.newWizards">
      <!-- @generated pseim -->
      <category
            id="org.eclipse.emf.ecore.Wizard.category.ID"
            name="%_UI_Wizard_category"/>
      <wizard
            id="com.irtsaintexupery.pseim.pseim.presentation.PseimModelWizardID"
            name="%_UI_PseimModelWizard_label"
            class="com.irtsaintexupery.pseim.pseim.presentation.PseimModelWizard"
            category="org.eclipse.emf.ecore.Wizard.category.ID"
            icon="icons/full/obj16/PseimModelFile.gif">
         <description>%_UI_PseimModelWizard_description</description>
         <selection class="org.eclipse.core.resources.IResource"/>
      </wizard>
   </extension>

   <extension point="org.eclipse.ui.editors">
      <!-- @generated pseim -->
      <editor
            id="com.irtsaintexupery.pseim.pseim.presentation.PseimEditorID"
            name="%_UI_PseimEditor_label"
            icon="icons/full/obj16/PseimModelFile.gif"
            extensions="pseim"
            class="com.irtsaintexupery.pseim.pseim.presentation.PseimEditor"
            contributorClass="com.irtsaintexupery.pseim.pseim.presentation.PseimActionBarContributor">
      </editor>
   </extension>
</plugin>
